//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include <FileCtrl.hpp>
#include "Text.h"
#include "GenericForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFormGeneric *FormGeneric;
extern CText *text;
//---------------------------------------------------------------------------
// Form
//---------------------------------------------------------------------------
void __fastcall TFormGeneric::FormChangeIdiom(void)
{
  // Form Caption
  //Caption = text->
  // Dialog Boxes
  OpenDialog->Filter = text->getItem(FILE_TYPE_DAT);
  SaveDialog->Filter = text->getItem(FILE_TYPE_DAT);
  OpenDialog->Title = text->getItem(OPEN_DIALOG_TITLE);
  SaveDialog->Title = text->getItem(SAVE_DIALOG_TITLE);
  // Itens de menu
/*  = text->getItem(MENU_FILE);
  = text->getItem(MENU_FILE_CLOSE);
  = text->getItem(MENU_FILE_EXIT);
  = text->getItem(MENU_FILE_OPEN);
  = text->getItem(MENU_FILE_PRINT);
  = text->getItem(MENU_FILE_SAVE);
  = text->getItem(MENU_SIMULATION);
  = text->getItem(MENU_SIMULATION_EXECUTE);
  = text->getItem(MENU_SIMULATION_GRAPHIC);
  = text->getItem(MENU_SIMULATION_GRAPHIC_BAR);
  = text->getItem(MENU_SIMULATION_GRAPHIC_XY);
  = text->getItem(MENU_HELP);
  = text->getItem(MENU_HELP_ABOUT);
  = text->getItem(MENU_HELP_CONTENTS);
  // Hints
  = text->getItem(MENU_HINT_CLOSE);
  = text->getItem(MENU_HINT_EXIT);
  = text->getItem(MENU_HINT_OPEN);
  = text->getItem(MENU_HINT_PRINT_GRAPHIC);
  = text->getItem(MENU_HINT_PRINT_TABLE);
  = text->getItem(MENU_HINT_SAVE);
  = text->getItem(MENU_HINT_EXECUTE);
  = text->getItem(MENU_HINT_GRAPHIC_BAR);
  = text->getItem(MENU_HINT_GRAPHIC_XY);*/
}
//---------------------------------------------------------------------------
__fastcall TFormGeneric::TFormGeneric(TComponent* Owner)
  : TForm(Owner)
{
  text->setIdiom(ID_PORTUGUESE);
  FormChangeIdiom();

  AnsiString dirPart;
  ProcessPath(Application->ExeName, NULL, dirPart, NULL);
  OpenDialog->InitialDir = dirPart;
  SaveDialog->InitialDir = dirPart;
}
//---------------------------------------------------------------------------
// Actions
//---------------------------------------------------------------------------
void __fastcall TFormGeneric::ActionOpenFileExecute(TObject *Sender)
{
  if (OpenDialog->Execute()) {
    AnsiString fileName = SaveDialog->FileName;
  }
}
//---------------------------------------------------------------------------
void __fastcall TFormGeneric::ActionPrintExecute(TObject *Sender)
{
  if (PrintDialog->Execute()) {
  }
}
//---------------------------------------------------------------------------
void __fastcall TFormGeneric::ActionSaveFileExecute(TObject *Sender)
{
  if (SaveDialog->Execute()) {
  }
}
//---------------------------------------------------------------------------
//  Outros
//---------------------------------------------------------------------------
void __fastcall TFormGeneric::ApplicationEventsHint(TObject *Sender)
{
  StatusBar->SimpleText = Application->Hint;
}
//---------------------------------------------------------------------------
