//---------------------------------------------------------------------------
#ifndef GenericFormH
#define GenericFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ActnList.hpp>
#include <AppEvnts.hpp>
#include <ComCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TFormGeneric : public TForm
{
__published:	// IDE-managed Components
  TImageList *EnabledImageList;
  TApplicationEvents *ApplicationEvents;
  TMainMenu *MainMenu;
  TActionList *ActionList1;
        TAction *ActionSaveFile;
  TStatusBar *StatusBar;
  TOpenDialog *OpenDialog;
  TSaveDialog *SaveDialog;
  TPrintDialog *PrintDialog;
  TToolBar *ToolBar;
  TToolButton *ToolButton1;
  TToolButton *ToolButtonSeparator1;
  TToolButton *ToolButton3;
  TToolButton *ToolButtonSeparator2;
  TToolButton *ToolButton5;
  TToolButton *ToolButtonSeparator3;
  TToolButton *ToolButton8;
  TToolButton *ToolButtonSeparator4;
  TToolButton *ToolButton7;
  TToolButton *ToolButtonSeparator5;
  TToolButton *ToolButton11;
  TToolButton *ToolButtonSeparator6;
  TToolButton *ToolButton13;
  TMenuItem *Menu1;
  TImageList *DisabledImageList;
  TAction *ActionOpenFile;
  TAction *ActionPrint;
  void __fastcall ApplicationEventsHint(TObject *Sender);
  void __fastcall ActionSaveFileExecute(TObject *Sender);
  void __fastcall ActionOpenFileExecute(TObject *Sender);
  void __fastcall ActionPrintExecute(TObject *Sender);
private:	// User declarations
  void __fastcall FormChangeIdiom(void);
public:		// User declarations
  __fastcall TFormGeneric(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormGeneric *FormGeneric;
//---------------------------------------------------------------------------
#endif
